Renames a field in a tag template.
You must enable the Data Catalog API in the project identified by the name parameter. For more information, see Data Catalog resource project.
HTTP request
POST https://datacatalog.googleapis.com/v1/{name}:rename
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the tag template field. It takes the form |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "newTagTemplateFieldId": string } |
| Fields | |
|---|---|
newTagTemplateFieldId |
Required. The new ID of this tag template field. For example, |
Response body
If successful, the response body contains an instance of TagTemplateField.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.